Skip to content

Google Scholar Author API

prod-global
GET
/api/v1/google/scholar/author

Scrape Google Scholar author profiles to get comprehensive lists of publications, citations, and research interests. Structured data for academic research, talent discovery, and tracking scholarly impact.

Tags: Google API

Parameters

NameRequiredTypeDefaultDescription
author_idYesstringThe unique Google Scholar ID of the researcher/author (e.g., 'LSs6DR8AAAAJ').
resultsNointeger20The number of results to return per page.
languageNostringenSet the language for the results using its two-letter code (e.g., 'en' for English, 'fr' for French). See Google Language.
view_opNostringSpecific view operation for the author profile. Use 'list_colleagues' to see co-authors or 'view_citation' for article details.
sortNostringSorting criteria for the author's publications. Supported values: 'title', 'pubdate'.
citation_idNostringThe citation ID to view details for (required when 'view_op' is 'view_citation').

Copy Request

bash
curl -X GET "https://api.justserpapi.com/api/v1/google/scholar/author?author_id=YOUR_VALUE" \
  -H "X-API-Key: YOUR_API_KEY"
js
const res = await fetch("https://api.justserpapi.com/api/v1/google/scholar/author?author_id=YOUR_VALUE", {
  headers: { "X-API-Key": "YOUR_API_KEY" }
});
const data = await res.json();
console.log(data);
python
import requests

url = "https://api.justserpapi.com/api/v1/google/scholar/author"
headers = { "X-API-Key": "YOUR_API_KEY" }
params = {
  "author_id": "YOUR_VALUE"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())
php
<?php
$url = "https://api.justserpapi.com/api/v1/google/scholar/author?author_id=YOUR_VALUE";
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    "X-API-Key: YOUR_API_KEY"
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
go
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	client := &http.Client{}
	req, _ := http.NewRequest("GET", "https://api.justserpapi.com/api/v1/google/scholar/author?author_id=YOUR_VALUE", nil)
	req.Header.Set("X-API-Key", "YOUR_API_KEY")
	resp, _ := client.Do(req)
	defer resp.Body.Close()
	body, _ := io.ReadAll(resp.Body)
	fmt.Println(string(body))
}

Response

Example:

json
{
  "code": 200,
  "message": "success",
  "data": {
    "author": {
      "name": "antonio cano",
      "affiliations": "University of Valencia",
      "email": "Verified email at uv.es",
      "interests": [],
      "thumbnail": "https://scholar.google.com/citations/images/avatar_scholar_128.png"
    },
    "articles": [
      {
        "title": "Transplantation of ACE2-mesenchymal stem cells improves the outcome of patients with COVID-19 pneumonia",
        "link": "https://scholar.google.com/citations?view_op=view_citation&hl=en&user=nMS5yswAAAAJ&citation_for_view=nMS5yswAAAAJ:48xauSegjOkC",
        "citation_id": "nMS5yswAAAAJ:48xauSegjOkC",
        "authors": "Z Leng, R Zhu, W Hou, Y Feng, Y Yang, Q Han, G Shan, F Meng, D Du, ...",
        "publication": "Aging and disease 11 (2), 216, 2020",
        "cited_by": {
          "value": "1341",
          "link": "https://scholar.google.com/scholar?oi=bibs&hl=en&cites=16533040395830947775",
          "citation_id": "16533040395830947775"
        },
        "year": "2020"
      },
      {
        "title": "Effectiveness of interventions to prevent pre-frailty and frailty progression in older adults: a systematic review",
        "link": "https://scholar.google.com/citations?view_op=view_citation&hl=en&user=nMS5yswAAAAJ&citation_for_view=nMS5yswAAAAJ:zYLM7Y9cAGgC",
        "citation_id": "nMS5yswAAAAJ:zYLM7Y9cAGgC",
        "authors": "J Apóstolo, R Cooke, E Bobrowicz-Campos, S Santana, M Marcucci, ...",
        "publication": "JBI Evidence Synthesis 16 (1), 140-232, 2018",
        "cited_by": {
          "value": "759",
          "link": "https://scholar.google.com/scholar?oi=bibs&hl=en&cites=501063664600360432,17890496999433760225",
          "citation_id": "501063664600360432,17890496999433760225"
        },
        "year": "2018"
      },
      {
        "title": "Timing of surgery following SARS‐CoV‐2 infection: an international prospective cohort study",
        "link": "https://scholar.google.com/citations?view_op=view_citation&hl=en&user=nMS5yswAAAAJ&citation_for_view=nMS5yswAAAAJ:sszUF3NjhM4C",
        "citation_id": "nMS5yswAAAAJ:sszUF3NjhM4C",
        "authors": "R Ilić",
        "publication": "Anaesthesia, 2021",
        "cited_by": {
          "value": "657",
          "link": "https://scholar.google.com/scholar?oi=bibs&hl=en&cites=10396976158045779379,3750805407826869614,14919565351933934595",
          "citation_id": "10396976158045779379,3750805407826869614,14919565351933934595"
        },
        "year": "2021"
      },
      {
        "title": "The impact of coffee on health",
        "link": "https://scholar.google.com/citations?view_op=view_citation&hl=en&user=nMS5yswAAAAJ&citation_for_view=nMS5yswAAAAJ:maZDTaKrznsC",
        "citation_id": "nMS5yswAAAAJ:maZDTaKrznsC",
        "authors": "A Cano-Marquina, JJ Tarín, A Cano",
        "publication": "Maturitas 75 (1), 7-21, 2013",
        "cited_by": {
          "value": "551",
          "link": "https://scholar.google.com/scholar?oi=bibs&hl=en&cites=4063287961593474225",
          "citation_id": "4063287961593474225"
        },
        "year": "2013"
      },
      {
        "title": "Effect of COVID-19 pandemic lockdowns on planned cancer surgery for 15 tumour types in 61 countries: an international, prospective, cohort study",
        "link": "https://scholar.google.com/citations?view_op=view_citation&hl=en&user=nMS5yswAAAAJ&citation_for_view=nMS5yswAAAAJ:NxmKEeNBbOMC",
        "citation_id": "nMS5yswAAAAJ:NxmKEeNBbOMC",
        "authors": "J Glasbey, A Ademuyiwa, A Adisa, E AlAmeer, AP Arnaud, F Ayasra, ...",
        "publication": "The Lancet Oncology 22 (11), 1507-1517, 2021",
        "cited_by": {
          "value": "324",
          "link": "https://scholar.google.com/scholar?oi=bibs&hl=en&cites=12638303797832025039",
          "citation_id": "12638303797832025039"
        },
        "year": "2021"
      },
      {
        "title": "Menopause and diabetes: EMAS clinical guide",
        "link": "https://scholar.google.com/citations?view_op=view_citation&hl=en&user=nMS5yswAAAAJ&citation_for_view=nMS5yswAAAAJ:NaGl4SEjCO4C",
        "citation_id": "nMS5yswAAAAJ:NaGl4SEjCO4C",
        "authors": "R Slopien, E Wender-Ozegowska, A Rogowicz-Frontczak, B Meczekalski, ...",
        "publication": "Maturitas 117, 6-10, 2018",
        "cited_by": {
          "value": "310",
          "link": "https://scholar.google.com/scholar?oi=bibs&hl=en&cites=4418819317576954790",
          "citation_id": "4418819317576954790"
        },
        "year": "2018"
      },
      {
        "title": "Fezolinetant for treatment of moderate-to-severe vasomotor symptoms associated with menopause (SKYLIGHT 1): a phase 3 randomised controlled study",
        "link": "https://scholar.google.com/citations?view_op=view_citation&hl=en&user=nMS5yswAAAAJ&citation_for_view=nMS5yswAAAAJ:Wq2b2clWBLsC",
        "citation_id": "nMS5yswAAAAJ:Wq2b2clWBLsC",
        "authors": "S Lederman, FD Ottery, A Cano, N Santoro, M Shapiro, P Stute, ...",
        "publication": "The Lancet 401 (10382), 1091-1102, 2023",
        "cited_by": {
          "value": "302",
          "link": "https://scholar.google.com/scholar?oi=bibs&hl=en&cites=9092464827666610852",
          "citation_id": "9092464827666610852"
        },
        "year": "2023"
      },
      {
        "title": "Elective cancer surgery in COVID-19–free surgical pathways during the SARS-CoV-2 pandemic: an international, multicenter, comparative cohort study",
        "link": "https://scholar.google.com/citations?view_op=view_citation&hl=en&user=nMS5yswAAAAJ&citation_for_view=nMS5yswAAAAJ:uVUOdF_882EC",
        "citation_id": "nMS5yswAAAAJ:uVUOdF_882EC",
        "authors": "JC Glasbey, D Nepogodiev, JFF Simoes, O Omar, E Li, ML Venn, PGDME, ...",
        "publication": "Journal of Clinical Oncology 39 (1), 66-78, 2021",
        "cited_by": {
          "value": "300",
          "link": "https://scholar.google.com/scholar?oi=bibs&hl=en&cites=15114123260017136320,4181877359924984697",
          "citation_id": "15114123260017136320,4181877359924984697"
        },
        "year": "2021"
      },
      {
        "title": "Predicting risk and outcomes for frail older adults: an umbrella review of frailty screening tools",
        "link": "https://scholar.google.com/citations?view_op=view_citation&hl=en&user=nMS5yswAAAAJ&citation_for_view=nMS5yswAAAAJ:PELIpwtuRlgC",
        "citation_id": "nMS5yswAAAAJ:PELIpwtuRlgC",
        "authors": "J Apóstolo, R Cooke, E Bobrowicz-Campos, S Santana, M Marcucci, ...",
        "publication": "JBI Evidence Synthesis 15 (4), 1154-1208, 2017",
        "cited_by": {
          "value": "295",
          "link": "https://scholar.google.com/scholar?oi=bibs&hl=en&cites=9255497273539212754",
          "citation_id": "9255497273539212754"
        },
        "year": "2017"
      },
      {
        "title": "The impact of moderate wine consumption on health",
        "link": "https://scholar.google.com/citations?view_op=view_citation&hl=en&user=nMS5yswAAAAJ&citation_for_view=nMS5yswAAAAJ:D_sINldO8mEC",
        "citation_id": "nMS5yswAAAAJ:D_sINldO8mEC",
        "authors": "A Artero, A Artero, JJ Tarín, A Cano",
        "publication": "Maturitas 80 (1), 3-13, 2015",
        "cited_by": {
          "value": "292",
          "link": "https://scholar.google.com/scholar?oi=bibs&hl=en&cites=7847345060533888649",
          "citation_id": "7847345060533888649"
        },
        "year": "2015"
      },
      {
        "title": "Tamoxifen and the uterus and endometrium",
        "link": "https://scholar.google.com/citations?view_op=view_citation&hl=en&user=nMS5yswAAAAJ&citation_for_view=nMS5yswAAAAJ:oNZyr7d5Mn4C",
        "citation_id": "nMS5yswAAAAJ:oNZyr7d5Mn4C",
        "authors": "P Neven, X De Muylder, Y Van Belle, G Vanderick, E De Muylder, ...",
        "publication": "The Lancet 333 (8634), 375-376, 1989",
        "cited_by": {
          "value": "267",
          "link": "https://scholar.google.com/scholar?oi=bibs&hl=en&cites=13232670358682567445",
          "citation_id": "13232670358682567445"
        },
        "year": "1989"
      },
      {
        "title": "Frailty and multimorbidity: two related yet different concepts",
        "link": "https://scholar.google.com/citations?view_op=view_citation&hl=en&user=nMS5yswAAAAJ&citation_for_view=nMS5yswAAAAJ:YFjsv_pBGBYC",
        "citation_id": "nMS5yswAAAAJ:YFjsv_pBGBYC",
        "authors": "P Villacampa-Fernandez, E Navarro-Pardo, JJ Tarin, A Cano",
        "publication": "Maturitas 95, 31-35, 2017",
        "cited_by": {
          "value": "211",
          "link": "https://scholar.google.com/scholar?oi=bibs&hl=en&cites=4314090828590110050",
          "citation_id": "4314090828590110050"
        },
        "year": "2017"
      },
      {
        "title": "A multinational study of sleep disorders during female mid-life",
        "link": "https://scholar.google.com/citations?view_op=view_citation&hl=en&user=nMS5yswAAAAJ&citation_for_view=nMS5yswAAAAJ:LO7wyVUgiFcC",
        "citation_id": "nMS5yswAAAAJ:LO7wyVUgiFcC",
        "authors": "JE Blümel, A Cano, E Mezones-Holguín, G Barón, A Bencosme, Z Benítez, ...",
        "publication": "Maturitas 72 (4), 359-366, 2012",
        "cited_by": {
          "value": "211",
          "link": "https://scholar.google.com/scholar?oi=bibs&hl=en&cites=15329141475757055147",
          "citation_id": "15329141475757055147"
        },
        "year": "2012"
      },
      {
        "title": "Consequences on offspring of abnormal function in ageing gametes",
        "link": "https://scholar.google.com/citations?view_op=view_citation&hl=en&user=nMS5yswAAAAJ&citation_for_view=nMS5yswAAAAJ:0izLItjtcgwC",
        "citation_id": "nMS5yswAAAAJ:0izLItjtcgwC",
        "authors": "JJ Tarín, S Pérez-Albalá, A Cano",
        "publication": "Human Reproduction Update 6 (6), 532-549, 2000",
        "cited_by": {
          "value": "200",
          "link": "https://scholar.google.com/scholar?oi=bibs&hl=en&cites=15416970605178297613",
          "citation_id": "15416970605178297613"
        },
        "year": "2000"
      },
      {
        "title": "EMAS position statement: predictors of premature and early natural menopause",
        "link": "https://scholar.google.com/citations?view_op=view_citation&hl=en&user=nMS5yswAAAAJ&citation_for_view=nMS5yswAAAAJ:_5tno0g5mFcC",
        "citation_id": "nMS5yswAAAAJ:_5tno0g5mFcC",
        "authors": "GD Mishra, HF Chung, A Cano, P Chedraui, DG Goulis, P Lopes, ...",
        "publication": "Maturitas 123, 82-88, 2019",
        "cited_by": {
          "value": "195",
          "link": "https://scholar.google.com/scholar?oi=bibs&hl=en&cites=15932898505263772371",
          "citation_id": "15932898505263772371"
        },
        "year": "2019"
      },
      {
        "title": "Calcium in the prevention of postmenopausal osteoporosis: EMAS clinical guide",
        "link": "https://scholar.google.com/citations?view_op=view_citation&hl=en&user=nMS5yswAAAAJ&citation_for_view=nMS5yswAAAAJ:_xSYboBqXhAC",
        "citation_id": "nMS5yswAAAAJ:_xSYboBqXhAC",
        "authors": "A Cano, P Chedraui, DG Goulis, P Lopes, G Mishra, A Mueck, LM Senturk, ...",
        "publication": "Maturitas 107, 7-12, 2018",
        "cited_by": {
          "value": "192",
          "link": "https://scholar.google.com/scholar?oi=bibs&hl=en&cites=5925045166158726624",
          "citation_id": "5925045166158726624"
        },
        "year": "2018"
      },
      {
        "title": "Is diet partly responsible for differences in COVID‐19 death rates between and within countries?",
        "link": "https://scholar.google.com/citations?view_op=view_citation&hl=en&user=nMS5yswAAAAJ&citation_for_view=nMS5yswAAAAJ:kVjdVfd2voEC",
        "citation_id": "nMS5yswAAAAJ:kVjdVfd2voEC",
        "authors": "J Bousquet, JM Anto, G Iaccarino, W Czarlewski, T Haahtela, A Anto, ...",
        "publication": "Clinical and translational allergy 10 (1), 16, 2020",
        "cited_by": {
          "value": "187",
          "link": "https://scholar.google.com/scholar?oi=bibs&hl=en&cites=3258943505244202219,11641510652544573366",
          "citation_id": "3258943505244202219,11641510652544573366"
        },
        "year": "2020"
      },
      {
        "title": "Long-term effects of delayed parenthood.",
        "link": "https://scholar.google.com/citations?view_op=view_citation&hl=en&user=nMS5yswAAAAJ&citation_for_view=nMS5yswAAAAJ:t6usbXjVLHcC",
        "citation_id": "nMS5yswAAAAJ:t6usbXjVLHcC",
        "authors": "JJ Tarín, J Brines, A Cano",
        "publication": "Human Reproduction (Oxford, England) 13 (9), 2371-2376, 1998",
        "cited_by": {
          "value": "179",
          "link": "https://scholar.google.com/scholar?oi=bibs&hl=en&cites=8633484120298866370",
          "citation_id": "8633484120298866370"
        },
        "year": "1998"
      },
      {
        "title": "Mediterranean diet and health: A systematic review of epidemiological studies and intervention trials",
        "link": "https://scholar.google.com/citations?view_op=view_citation&hl=en&user=nMS5yswAAAAJ&citation_for_view=nMS5yswAAAAJ:4fGpz3EwCPoC",
        "citation_id": "nMS5yswAAAAJ:4fGpz3EwCPoC",
        "authors": "ML Sánchez-Sánchez, A García-Vigara, JJ Hidalgo-Mora, ...",
        "publication": "Maturitas 136, 25-37, 2020",
        "cited_by": {
          "value": "178",
          "link": "https://scholar.google.com/scholar?oi=bibs&hl=en&cites=14803787103541297642",
          "citation_id": "14803787103541297642"
        },
        "year": "2020"
      },
      {
        "title": "Is there a role for menopausal hormone therapy in the management of postmenopausal osteoporosis?",
        "link": "https://scholar.google.com/citations?view_op=view_citation&hl=en&user=nMS5yswAAAAJ&citation_for_view=nMS5yswAAAAJ:BJbdYPG6LGMC",
        "citation_id": "nMS5yswAAAAJ:BJbdYPG6LGMC",
        "authors": "S Rozenberg, N Al-Daghri, M Aubertin-Leheudre, ML Brandi, A Cano, ...",
        "publication": "Osteoporosis international 31 (12), 2271-2286, 2020",
        "cited_by": {
          "value": "174",
          "link": "https://scholar.google.com/scholar?oi=bibs&hl=en&cites=13799356063395749306",
          "citation_id": "13799356063395749306"
        },
        "year": "2020"
      }
    ],
    "cited_by": {
      "table": [
        {
          "citations": {
            "all": 18109,
            "since_2021": 9991
          }
        },
        {
          "h_index": {
            "all": 71,
            "since_2021": 48
          }
        },
        {
          "i10_index": {
            "all": 238,
            "since_2021": 134
          }
        }
      ],
      "graph": [
        {
          "year": "1997",
          "citations": "46"
        },
        {
          "year": "1998",
          "citations": "59"
        },
        {
          "year": "1999",
          "citations": "76"
        },
        {
          "year": "2000",
          "citations": "94"
        },
        {
          "year": "2001",
          "citations": "130"
        },
        {
          "year": "2002",
          "citations": "161"
        },
        {
          "year": "2003",
          "citations": "141"
        },
        {
          "year": "2004",
          "citations": "171"
        },
        {
          "year": "2005",
          "citations": "213"
        },
        {
          "year": "2006",
          "citations": "198"
        },
        {
          "year": "2007",
          "citations": "195"
        },
        {
          "year": "2008",
          "citations": "218"
        },
        {
          "year": "2009",
          "citations": "204"
        },
        {
          "year": "2010",
          "citations": "238"
        },
        {
          "year": "2011",
          "citations": "253"
        },
        {
          "year": "2012",
          "citations": "312"
        },
        {
          "year": "2013",
          "citations": "300"
        },
        {
          "year": "2014",
          "citations": "373"
        },
        {
          "year": "2015",
          "citations": "385"
        },
        {
          "year": "2016",
          "citations": "458"
        },
        {
          "year": "2017",
          "citations": "572"
        },
        {
          "year": "2018",
          "citations": "665"
        },
        {
          "year": "2019",
          "citations": "758"
        },
        {
          "year": "2020",
          "citations": "1336"
        },
        {
          "year": "2021",
          "citations": "2089"
        },
        {
          "year": "2022",
          "citations": "2128"
        },
        {
          "year": "2023",
          "citations": "1896"
        },
        {
          "year": "2024",
          "citations": "1793"
        },
        {
          "year": "2025",
          "citations": "1757"
        },
        {
          "year": "2026",
          "citations": "189"
        }
      ]
    },
    "public_access": {
      "link": "https://scholar.google.com/citations?view_op=list_mandates&hl=en&user=nMS5yswAAAAJ",
      "available": "64",
      "not_available": "25"
    },
    "co_authors": [],
    "pagination": {}
  },
  "requestId": "6309f7e1-e9f6-485a-9a2a-3a993b78cb60",
  "timestamp": 1772113430817
}